if(typeof require!='undefined'){
  relativeDate = require('../lib/relative-date'),
  assert = require('assert');
}

var SECOND = 1000,
    MINUTE = 60 * SECOND,
    HOUR = 60 * MINUTE,
    DAY = 24 * HOUR,
    WEEK = 7 * DAY,
    YEAR = DAY * 365,
    MONTH = YEAR / 12;

var reference1 = 157766400000, // 01.01.1975 00:00
    spans = {
      'just now':reference1*SECOND,
      'just now':reference1-41*SECOND,
      'a minute ago':reference1-42*SECOND,
      'a minute ago':reference1-MINUTE,
      '2 minutes ago':reference1-MINUTE*1.5,
      '59 minutes ago':reference1-MINUTE*59,
      'an hour ago':reference1-HOUR,
      '2 hours ago':reference1-HOUR*1.5,
      '16 hours ago':reference1-HOUR*16,
      'today':reference1-HOUR*17,
      'yesterday':reference1-DAY*1.8,
      '3 days ago':reference1-DAY*3,
      '6 days ago':reference1-DAY*6,
      'a week ago':reference1-WEEK,
      '2 weeks ago':reference1-WEEK*2,
      '4 weeks ago':reference1-WEEK*4,
      'a month ago':reference1-MONTH*1.2,
      '12 months ago':reference1-YEAR+HOUR,
      'a year ago':reference1-YEAR,
      '2 years ago':reference1-YEAR*2,
      '5 years ago': 0
    };

function test(){
  var now = (new Date).getTime();
  assert.equal(relativeDate(0), Math.round(now/YEAR) + ' years ago' );

  var key;
  for(key in spans){
    assert.equal(relativeDate(spans[key], reference), key);
  }
}

typeof module != 'undefined' && ( module.exports = test );
